Subject: Re: [PATCH 2/4] ppc32/kprobe: introduce copy_exc_stack

From: "tiejun.chen" <[email-masked]>
Date: Tue, 13 Dec 2011 12:58:55 +0800

Benjamin Herrenschmidt wrote:
> On Mon, 2011-12-12 at 16:50 +0800, Tiejun Chen wrote:
>> We need a copy mechanism to migrate exception stack. But looks copy_page()
>> already implement this well so we can complete copy_exc_stack() based on
>> that directly.
> 
> I'd rather you don't hijack copy_page which is quite sensitive. The
> emulation isn't performance critical so a "dumber" routine would work

Yes, I just think we should introduce good performance so I 'steal' the original
copy_page().

> fine.
> 
> Why not use memcpy ? You can call it from assembly.

I'd like to switch to memcpy.

Thanks
Tiejun